/*================================================================================

NOTE:
------
PLACE HERE YOUR OWN SCSS CODES AND IF NEEDED, OVERRIDE THE STYLES FROM THE OTHER STYLESHEETS.
WE WILL RELEASE FUTURE UPDATES SO IN ORDER TO NOT OVERWRITE YOUR STYLES IT'S BETTER LIKE THIS.  */

@import url("https://fonts.googleapis.com/css2?family=Comfortaa:wght@300;400;500;600;700&display=swap");
 // Components includes

body {
    font-family: $primary-font-family
}

.rounded-lg {
    >.vs__dropdown-toggle {
        border-radius: 8px !important;
        width: 90px;
    }
}

.app-content {
    min-height: 100vh;
}

.color-muted {
    color: $muted;
}

.text-danger {
    color: $danger !important;
}

.mute-btn {
    border-color: #c2c2c2 !important;
    background-color: #c2c2c2 !important;
}

.cursor-pointer {
    cursor: pointer;
}

.mute-btn:active,
.mute-btn:focus {
    border-color: #c2c2c2 !important;
    background-color: #c2c2c2 !important;
}

.w-15 {
    width: 15%;
}

.w-80 {
    width: 80%;
}


.search-bx {
    .search-input-text {
        width: 310px;
        position: inherit !important;
    }

    .form-group {
        .form-control {
            background: #f1f1f1;
            border-radius: 20px;
            border: none;
        }
    }

    .numberof-data {
        margin-right: 10px;
        margin-bottom: 0px;
        color: $black;
        font-size: 14px;
        font-family: $primary-font-family;
        font-weight: 700;
    }
}

.btn-white {
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1) !important;
    color: $primary;
    font-family: $primary-font-family;
    font-weight: 700;
    background-color: #fff !important;
}

.btn-reset {
    margin: 0px !important;
    padding: 0px !important;
    margin-right: 45px !important;
    background-color: #fff !important;
    font-size: 17px !important;
}

.pagination {
    .page-item {
        margin-left: 1px;
        margin-right: 3px;

        &.prev-item .page-link {
            border-radius: 8px !important;
            color: $primary;

            &:hover {
                color: #fff !important;
            }
        }

        &.next-item .page-link {
            border-radius: 8px !important;
            color: $primary;

            &:hover {
                color: #fff !important;
            }
        }

        .page-link.page-link {
            border-radius: 8px !important;
        }
    }

    .page-item.prev-item~.page-item:nth-child(2) .page-link {
        border-radius: 8px !important;
    }

    .page-item.prev-item~.page-item:nth-child(2) .page-link {
        border-radius: 8px !important;
    }

    .page-item.prev-item .page-link.page-link svg {
        transform: translateX(-1px) !important;
    }

    .page-item.next-item .page-link.page-link svg {
        transform: translateX(1px) !important;
    }
}

[dir="ltr"] .page-item.prev-item~.page-item:nth-child(2) .page-link,
[dir="ltr"] .page-item.prev-item~.page-item:nth-last-child(2) .page-link {
    border-radius: 8px !important;
}

.status-switch {
    &.custom-switch {
        .custom-control-label::before {
            width: 5.5rem;
        }

        .custom-control-input:checked~.custom-control-label::before {
            content: "Active";
            color: #fff;
            font-size: 11px;
            padding-left: 14px;
            text-align: left;
        }

        .custom-control-input~.custom-control-label::before {
            content: "Inactive";
            color: $black;
            font-size: 11px;
            text-align: right;
            padding-right: 8px;
            // background-color: #F1F1F1;
        }

        .custom-control-input:checked~.custom-control-label::after {
            transform: translateX(4rem);
        }
    }
}


.locked-switch {
    &.custom-switch {
        .custom-control-label::before {
            width: 5.5rem;
        }

        .custom-control-input:checked~.custom-control-label::before {
            content: "Lock";
            color: #fff;
            font-size: 11px;
            padding-left: 20px;
            text-align: left;
        }

        .custom-control-input~.custom-control-label::before {
            content: "Unlock";
            color: $black;
            font-size: 11px;
            text-align: right;
            padding-right: 12px;
            // background-color: #F1F1F1;
        }

        .custom-control-input:checked~.custom-control-label::after {
            transform: translateX(4rem);
        }
    }
}


.iconviewbutton {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: flex-start;
    overflow: hidden;

    transition: 0.2s;

    .label-hidden {
        max-width: 0;
        opacity: 0;
        max-height: 1em;
        white-space: nowrap;
        transition: 0.2s;
    }

    &:hover {
        color: $primary;

        .label-hidden {
            max-width: 200px;
            margin-right: 4px;
            margin-left: 8px;
            opacity: 1;
        }
    }
}

.tbl-setting-button {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: flex-start;
    overflow: hidden;

    transition: 0.2s;

    .label-hidden {
        max-width: 0;
        opacity: 0;
        max-height: 1em;
        white-space: nowrap;
        transition: 0.2s;
    }

    &:hover {
        color: $primary;

        .label-hidden {
            max-width: 200px;
            margin-left: 4px;
            margin-right: 8px;
            opacity: 1;
        }
    }
}

.collapse-button {
    border-radius: 15px !important;
    padding: 4px !important;
    padding-left: 0px !important;
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: flex-start;
    overflow: hidden;

    transition: 0.2s;
    margin-top: 1px;

    .label-hidden {
        max-width: 0;
        opacity: 0;
        max-height: 1em;
        white-space: nowrap;
        transition: 0.2s;
        padding-left: 2px;
        padding-right: 2px;
    }

    &:hover {
        color: $primary;

        .label-hidden {
            max-width: 200px;
            margin-right: 4px;
            margin-left: 4px;
            opacity: 1;
        }
    }
}

.add-button.iconviewbutton {
    margin-left: 15px;
}

.b-dropdown.iconviewbutton {
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1) !important;
    border-radius: 15px;
    position: inherit !important;

    .dropdown-toggle {
        padding: 8px !important;
        padding-left: 0px !important;
        color: $primary;
        font-family: $primary-font-family;
        font-weight: 500;
        position: inherit !important;
        display: inline-flex;
        align-items: center;
        justify-content: flex-start;
        overflow: hidden;
        transition: 0.2s;

        svg {
            width: 20px;
            height: 20px;
            font-size: 20px;
            left: 0px;
            display: block;
        }

        span {
            max-width: 0;
            opacity: 0;
            max-height: 1em;
            white-space: nowrap;
            transition: 0.2s;
            padding-right: 4px !important;
            padding-left: 4px !important;
        }

        &::after {
            width: 0px;
            height: 0px;
            font-size: 20px;
            left: 0px;
            display: block;
        }
    }

    .dropdown-toggle {
        &:hover {
            span {
                max-width: 200px;
                margin-left: 8px;
                opacity: 1;
            }
        }
    }
}

// .b-dropdown.iconviewbutton {
//     box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1) !important;
//     border-radius: 15px;
//     position: inherit !important;

//     .dropdown-toggle {
//         padding: 8px !important;
//         padding-left: 0px !important;
//         color: $primary;
//         font-family: $primary-font-family;
//         font-weight: 700;

//         position: inherit !important;
//         display: inline-flex;
//         align-items: center;
//         justify-content: flex-start;
//         overflow: hidden;
//         transition: 0.2s;

//         &::after {
//             content: url(./../../../resources/js/src/assets/images/icons/action.svg) !important;
//             width: 20px;
//             height: 20px;
//             font-size: 20px;
//             left: 0px;
//             display: block;
//         }

//         &::before {
//             max-width: 0;
//             opacity: 0;
//             max-height: 1em;
//             white-space: nowrap;
//             transition: 0.2s;
//             padding-right: 4px !important;
//             padding-left: 4px !important;
//             content: "Actions";
//         }
//     }

//     .dropdown-toggle {
//         &:hover {
//             color: $primary;

//             &::before {
//                 max-width: 200px;
//                 margin-left: 8px;
//                 opacity: 1;
//             }
//         }
//     }
// }

.block-border {
    border-bottom: 2px dotted $primary;
    margin-bottom: 20px;
}

.block-bottom-border {
    border-bottom: 2px dotted $primary;
    margin-top: 15px;
    margin-bottom: 20px;
}

.date-picker-error-msg {
    margin-left: -10px;
}

.filter-form {
    .filter-selected {
        border-radius: 15px;

        .vs__dropdown-toggle {
            border: none !important;
            border-radius: 15px;
        }

        .vs__search {
            border: none !important;
            height: 40px;
        }
    }

    .label-with-icon {
        color: #1d1929;
        font-size: 16px;
        font-family: $primary-font-family;
        margin-bottom: 10px !important;

        img {
            margin-right: 10px;
            padding-bottom: 4px;
        }
    }

    .filter-border {
        border-bottom: 2px dotted $primary;
        margin-bottom: 20px;
        padding-top: 10px;
    }

    .filterdate {
        .form-control {
            position: relative;
            padding: 5px !important;
            margin-bottom: 0px !important;
            border: none !important;
            text-align: center;

            &:focus {
                box-shadow: none !important;
            }

            &[readonly] {
                background: transparent !important;
            }

            .btn {
                display: none !important;
            }
        }
    }

    .filter-footer {
        border-top: 1px solid #f5f5f5;
        padding-top: 1rem;
    }
}

.formtype-1 {
    .card {
        min-height: 300px;
    }

    .form-control {
        height: 48px;

        &[readonly] {
            border: none !important;
        }
    }

    .form-label {
        color: $muted;
        font-size: 13px;
        font-family: $primary-font-family;
    }

    .vs__dropdown-toggle {
        height: 48px;
    }
}

@media (min-width: 992px) {
    [filter_modal] {
        .modal-lg {
            max-width: 600px !important;

            .modal-content {
                box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
                border-radius: 24px !important;
                overflow: hidden;
                font-family: $primary-font-family;

                .modal-header {
                    padding: 0px;

                    .close {
                        display: none !important;
                    }
                }

                .mheader {
                    .title {
                        color: $black;
                        font-weight: 700;
                        margin-bottom: 0px;
                        font-family: $primary-font-family;
                        font-size: 28px;
                    }
                }
            }
        }
    }
}

.main-menu-content {
    .navigation {
        .nav-item {
            &.sidebar-group-active {
                .menu-content {
                    .nav-item {
                        a {
                            &:after {
                                display: none !important;
                            }
                        }
                    }
                }
            }
        }
    }
}

.cal-actions {
    width: 190px;
}

.cal-status {
    width: 150px;
}

.iconviewbutton {
    &.btn-group {
        font-family: $primary-font-family;

        .dropdown-menu {
            width: 251px;
            padding: 4px;
            border-radius: 15px;

            li {
                border-radius: 12px;

                a {
                    border-radius: 12px;
                    color: $black;
                    font-weight: 700;

                    &:hover {
                        background: #f1f1f1 !important;
                        color: $primary;
                        font-weight: 700;
                    }
                }
            }
        }
    }
}

.table.b-table>thead>tr>[aria-sort],
.table.b-table>tfoot>tr>[aria-sort] {
    background-size: 11px;
}

.table.b-table>thead>tr>[aria-sort]:not(.b-table-sort-icon-left),
.table.b-table>tfoot>tr>[aria-sort]:not(.b-table-sort-icon-left) {
    background-position: right calc(1rem / 1) center !important;
}

.theme-btn {
    padding: 20px 100px;
    border-radius: 22px;
    height: 58px;
    font-family: $primary-font-family;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 18px;
}

.theme-btn2 {
    padding: 16px 66px;
    border-radius: 22px;
    font-family: $primary-font-family;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 18px;
}

.export-btn {
    padding: 20px 100px;
    border-radius: 22px;
    height: 58px;
    font-family: $primary-font-family;
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    line-height: 18px;
}

footer {
    &.footer {
        background: #ffffff;
        box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
    }
}

.main-menu {
    .nav-item {
        a {
            font-family: $primary-font-family;
            font-style: normal;
            font-weight: 400;
            font-size: 16px;
            line-height: 18px;
            color: $black;
        }

        &.has-sub {
            .menu-content {
                .nav-item {
                    a {
                        font-family: $primary-font-family;
                        font-style: normal;
                        font-weight: 400;
                        font-size: 11px;
                        line-height: 12px;
                        color: $muted;
                    }
                }
            }
        }
    }
}

#filterModal .modal-dialog {
    max-width: 600px;
}

.outline-none {
    outline: none;
}

.module-title {
    text-transform: capitalize;
    font-weight: 500;
}

.module-head-text {
    text-transform: capitalize;
    color: $primary;
    font-weight: 500;
}

.more-tab {
    width: 80%;
}

.more-tab .dropdown-toggle {
    padding: 0 !important;
}

.permission-table .custom-control-label {
    font-weight: 500;
    margin-top: 0.3rem;
    margin-left: 0.3rem;
    white-space: nowrap;
}

.permission-table thead th {
    border-top: none !important;
}

.permission-table .dropdown-menu {
    border-radius: 8px !important;
    z-index: 111111111;
    padding: 0px !important;

    .b-dropdown-form {
        padding: 0.5rem 1.28rem;

        .custom-checkbox {
            margin-top: 0.25rem;
            margin-bottom: 0.25rem;
        }
    }
}

.vs--disabled {

    .vs__dropdown-toggle,
    .vs__clear,
    .vs__search,
    .vs__selected,
    .vs__open-indicator {
        background-color: #f1f1f1 !important;
        color: $muted !important;
    }
}

.vs--multiple.vs--disabled {
    .vs__selected {
        background-color: $primary !important;
    }
}

.b-form-btn-label-control.form-control>label {
    color: $black !important;
}

.b-form-btn-label-control.form-control[aria-disabled=true]>label {
    color: $muted !important;
}

.profile-tab-icon {
    margin-right: 0.5rem;
}

.profile-invalid-icon {
    margin-left: 0.5rem;
}

.black-color {
    color: $black;
}

.note-text {
    font-size: 0.9rem !important;
    color: $muted;
}

.form-card .form-group {
    margin-bottom: 2.5rem !important;
}


.setting-table .form-group {
    margin-bottom: 1.5rem !important;
}

.form-control {
    color: $black !important;
    height: 48px !important;
    border-radius: 8px;
    display: inline-block;
}

.form-control:first-letter {
    text-transform: uppercase;
}

.index-search-form-group .form-group {
    margin-bottom: 0px !important;
}

.index-search {
    height: 36px !important;
}

label {
    color: $black;
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 13px;
}

.accordion {
    .card-header:after {
        border: 1px solid $secondary;
        padding: 0.7em;
        border-radius: 5px;
        top: 40% !important;
    }

    // .card-header .icon {

    // }

}

.custom-form .vs__dropdown-toggle {
    padding: 10px 0.5rem !important;
    border-radius: 8px;
}

.vs--open .vs__dropdown-toggle {
    border-color: $black !important;
}

.eb-select .vs__dropdown-toggle {
    padding: 10px 0.5rem !important;
    border-radius: 8px;
}

.custom-control-label {
    vertical-align: middle;
}

.status-custom-switch {
    width: fit-content;
    outline: none;
}

.status-custom-switch .custom-control-label {
    vertical-align: top !important;
}

.custom-switch:has(input:disabled) {

    .custom-control-label::before,
    .custom-control-label::after {
        cursor: context-menu !important;
    }
}

.custom-control-label::before {
    border: 2px solid $muted;
    border-radius: 4px;
}

.form-control:disabled,
.form-control[readonly] {
    background-color: #f1f1f1 !important;
    color: $muted !important;
}

.form-control:disabled:focus,
.form-control[readonly]:focus {
    border-color: #d8d6de !important;
    box-shadow: none !important;
}

.btn-add-slot {
    background-color: $primary-active-background !important;
    border-color: $primary-active-background !important;
    color: $primary !important;
    border-radius: 6px;
    float: right;
    margin-top: 20px;
    padding: 9px 19px !important;

    img {
        background-color: #fff;
        border-radius: 50%;
        margin-left: 8px;
    }
}

.btn-add-price {
    background-color: $primary-active-background !important;
    border-color: $primary-active-background !important;
    color: $primary !important;
    border-radius: 6px;
    margin-top: 20px;
    padding: 9px 19px !important;

    img {
        background-color: #fff;
        border-radius: 50%;
        margin-left: 8px;
    }
}

.remove-slot {
    cursor: pointer;
}

.slot-title {
    font-size: 16px !important;

    .text-mute {
        font-size: 12px !important;
    }
}

.remark-note-text {
    font-size: 12px;
}

.btn-submit-edit {
    min-width: 150px;
    height: 50px;
    border-radius: 15px;
    font-size: 16px !important;
}

.btn-select-apply {
    width: 100%;
    height: auto;
    border-radius: 15px;
    font-size: 16px !important;
}

.btn-unselect-package-edit {
    height: 50px;
    border-radius: 15px;
    font-size: 16px !important;
    background-color: $primary-active-background !important;
    color: $primary !important;
}

.btn-save-package-edit {
    height: 50px;
    border-radius: 15px;
    font-size: 16px !important;
}

.image_title {
    text-align: center;
    margin-top: 9px;
    font-size: 13px;
    font-weight: 600;
}

.b-time-footer {
    display: none;
}

.image-size-text {
    text-align: center;
    font-size: 12px;
    font-weight: 400;
    color: $muted;
    margin-bottom: 0px!important;
    line-height: 1rem;
}

.b-form-timepicker .form-control {
    padding: 0.75rem;
}

.b-form-timepicker .b-time-header {
    display: none !important;
}

.b-form-timepicker .dropdown-menu {
    height: 130px;
}

.b-form-timepicker .dropdown-menu div {
    height: 100% !important;
}

.b-form-timepicker .dropdown-menu div .flex-column {
    height: auto !important;
}

.b-form-timepicker .dropdown-menu .form-control {
    border: none !important;
}

.setting-table .vs__dropdown-toggle {
    width: 80%!important;
}

.auto_logout_at{
    width: 20rem!important;
}

.setting-table .vs__dropdown-toggle .vs__actions .feather-chevron-down {
    display: none !important;
}

.setting-table .vs__dropdown-menu {
    width: 16rem !important;
}

.designation-btn {
    box-shadow: 0px 4px 20px 0px #0000001A;
}

.inquiry-date-picker .custom-datepicker-input {
    font-weight: 700;
}

.font-700 {
    font-weight: 700;
}

.font-bold {
    font-weight: bold;
}

.custom-datepicker .vc-popover-content-wrapper {
    z-index: 1111111 !important;
}

.custom-date-picker {
    .custom-datepicker-input {
        padding: 0.438rem 1rem;
        border-radius: 8px;
        width: 100%;
        outline: none !important;
        text-transform: capitalize;
        color: $black !important;
        height: 48px !important;
        border: 1px solid #d8d6de;
    }

    .custom-datepicker-input-invalid {
        border: 1px solid $danger !important;
    }

    .custom-datepicker-input:disabled,
    .custom-datepicker-input[readonly] {
        background: #f1f1f1 !important;
        color: $muted !important;
    }

    .custom-datepicker-input::placeholder {
        color: $text-muted;
    }

    .custom-datepicker-input:focus {
        border-color: $black !important;
    }

    .vc-container {
        width: 300px;
        border-radius: 22px;
        box-shadow: 0px 2px 48px rgba(0, 0, 0, 0.04);
        border: none;
    }

    .vc-nav-title {
        color: #4b465c;
    }

    .vc-nav-popover-container {
        color: #4b465c;
        background-color: #fff;
        border-color: #fff;
    }

    .vc-nav-title:hover,
    .vc-nav-item:hover,
    .vc-nav-item.is-active {
        color: $primary !important;
        background-color: #ed212529;
        font-weight: normal !important;
    }

    .vc-nav-title:focus,
    .vc-nav-item:focus {
        border: none !important;
    }

    .vc-nav-item.is-current {
        color: $primary;
        border-color: $primary;
    }

    .vc-header {
        background-color: #f1f1f1;
        margin: 10px;
        border-radius: 14px;
        padding: 10px;
        padding-left: 1rem;
    }

    .vc-weeks {
        padding: 1rem;
        padding-top: 0.5rem;
    }

    .vc-nav-items {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-row-gap: 2px;
        grid-column-gap: 5px;
        text-align: center;

        .vc-nav-item {
            width: 100%;
        }
    }

    .vc-title {
        font-size: 14px;
        font-weight: 700;
        color: $black;
        line-height: 25px;
    }

    .vc-arrows-container {
        width: 98% !important;
        padding: 20px 10px !important;
    }

    .vc-svg-icon {
        width: 20px !important;
        height: 20px !important;
    }

    .venue-slot-chart {
        max-width: 70px;
        display: inline-block;
    }

    .vc-highlights .vc-highlight {
        background-color: $primary !important;
        border-radius: 8px !important;
        font-weight: 300 !important;
    }

    .vc-day-content {
        font-weight: normal !important;
    }

    .vc-weekday {
        font-weight: normal !important;
        color: $muted;
    }

    .vc-day-content:focus,
    .vc-day-content:hover {
        font-weight: normal !important;
        border-radius: 8px !important;
        background-color: #ed222534 !important;
    }
}

.table-card table tr {
    th {
        color: $black !important;
        padding: 0.8rem 1rem;
        padding-right: 2.5rem !important;
        vertical-align: middle !important;
    }
}

.permission-table th {
    padding: 9px 1rem !important;
}

.table-card .table td {
    padding: 9px 1rem !important;
}

.modal-content,
.modal-header {
    border-radius: 30px;
}

.modal-body {
    padding: 1.5rem !important;
}

.modal-content {
    border-radius: 30px;
}

.modal-header {
    background-color: transparent !important;
    position: absolute !important;
    top: 0 !important;
    right: 0 !important;
}

.modal .modal-header .close {
    z-index: 11111;
    position: absolute !important;
    top: 0px !important;
    right: 5px !important;
    transform: none !important;
    color: $primary;
    font-size: 30px;
    width: 32px;
    height: 32px;
    text-align: center;
    padding: 5px;
    line-height: 0.8;
    align-items: center;
    border-radius: 6px;
    -webkit-box-shadow: 0 5px 20px 0 rgba(34, 41, 47, 0.1) !important;
    box-shadow: 0 5px 20px 0 rgba(34, 41, 47, 0.1) !important;
    -webkit-transition: all 0.23s ease 0.1s !important;
}

.color-theme {
    color: $primary !important;
}

.designation-modal-header {
    border-radius: 15px;
    margin-bottom: 12px;
    padding: 15px 10px;
}

.btn-outline-primary:active,
.btn-outline-primary:focus {
    background-color: #fff !important;
}

.verify-number-btn {
    border-radius: 8px !important;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    border-left: none !important;
    border-color: #d8d6de !important;
    background-color: transparent !important;
    color: $black !important;
    box-shadow: none !important;
    padding: 0.5rem !important;
}

.verify-number-btn:focus {
    background-color: transparent !important;
}

.dropdown-item:focus {
    background-color: transparent !important;
}

.brand-text {
    display: block !important;
    height: 40px;
    width: 160px;
}

.navbar-header .brand-logo {
    width: 40px;
    height: 40px;
    display: block !important;
    margin-top: 5px !important;
    margin-left: 2px !important;
}

.sidebard-brand-logo {
    width: 100%;
    height: 100%;
}

.side-footer-company {
    position: fixed !important;
    z-index: 1030;
    bottom: 0;
    padding: 5px 15px;
    height: 3.35rem;
    background-color: #fff;
    width: 100%;
}

.company-name-box {
    // border-radius: 12px;
    // border: 1px solid #c2c2c2;
}

.company-name {
    font-size: 16px;
    margin: 0px !important;
    color: $black !important;
    font-weight: 700;
    margin-left: 10px !important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-top: 3px !important;
}

select.form-control,
.custom-select {
    option:checked {
        background-color: rgba($primary, 0.12) !important;
        color: $primary;
    }

    option:hover {
        background-color: rgba($primary, 0.12) !important;
        background: rgba($primary, 0.12) !important;
    }

    &:disabled {
        opacity: 0.5;
    }

    &:focus {
        border-color: $primary;
    }
}

.has_checkbox .custom-control-label {
    width: 100%;
    cursor: pointer;
}

tr:has(.has_checkbox input[type="checkbox"]:checked) {
    td {
        background-color: $primary-active-background !important;
    }
}

.select-all-btn {
    padding: 10px 12px !important;
}

.event-blocked-modal {
    .event-blocked-header {
        border-radius: 15px;
        margin-bottom: 12px;
        padding: 15px 10px;
    }

    .block-info-client-box {
        border-radius: 15px;
        border: 1px solid #c2c2c2;
        padding: 13px 11px;
    }

    .title {
        font-size: 14px !important;
        font-weight: 700;
    }

    .block-details {
        margin-bottom: 16px;
        margin-left: 0.5rem;

        .block-details-title {
            font-size: 14px;
            font-weight: 300;
            color: $muted;
            width: 55%;
        }

        .block-details-data {
            font-size: 14px;
            font-weight: 700;
            color: $black;
        }
    }

    .client-name {
        font-size: 13px;
        font-weight: 600;
        color: $black;
        margin-top: 0.1rem !important;
        margin-bottom: 0rem !important;
        margin-left: 13px !important;
    }

    .client-details {
        font-size: 13px;
        color: $muted;
        text-align: justify;
        margin-top: 9px;
        margin-bottom: 0rem !important;
    }

    .event-details {
        font-size: 13px;
        color: $muted;
        text-align: justify;
        margin-top: 9px;
        margin-left: 13px !important;
        margin-bottom: 0rem !important;
    }

    .pax-details {
        color: $black;
        font-weight: 600;
        margin-top: 17px;
        margin-right: 10px;
    }

    .client-inquiries-box-eye {
        cursor: pointer;
        box-shadow: 0 4px 24px 0 rgba(34, 41, 47, 0.1) !important;
        width: 13%;
        height: 55px;
        border-radius: 15px;

        >img {
            width: 29px;
            margin: 15px;
        }
    }
}

.change-password-modal {
    .event-blocked-header {
        border-radius: 15px;
        margin-bottom: 25px;
        padding: 18px 15px;
        display: flex;

        svg {
            margin-right: 10px;
        }

        h4 {
            margin-top: 3px;
            font-size: 14px;
            font-weight: 700;
        }
    }

    .block-info-client-box {
        border-radius: 15px;
        border: 1px solid #c2c2c2;
        padding: 13px 11px;
    }

    .title {
        font-size: 14px !important;
        font-weight: 700;
    }

    .block-details {
        margin-bottom: 16px;
        margin-left: 0.5rem;

        .block-details-title {
            font-size: 14px;
            font-weight: 300;
            color: $muted;
            width: 44%;
        }

        .block-details-data {
            font-size: 14px;
            font-weight: 700;
            color: $black;
        }
    }

    .client-name {
        font-size: 13px;
        font-weight: 600;
        color: $black;
        margin-top: 0.1rem !important;
        margin-bottom: 0rem !important;
        margin-left: 13px !important;
    }

    .client-details {
        font-size: 13px;
        color: $muted;
        text-align: justify;
        margin-top: 9px;
        margin-bottom: 0rem !important;
    }

    .event-details {
        font-size: 13px;
        color: $muted;
        text-align: justify;
        margin-top: 9px;
        margin-left: 13px !important;
        margin-bottom: 0rem !important;
    }

    .pax-details {
        color: $black;
        font-weight: 600;
        margin-top: 17px;
        margin-right: 10px;
    }

    .client-inquiries-box-eye {
        cursor: pointer;
        box-shadow: 0 4px 24px 0 rgba(34, 41, 47, 0.1) !important;
        width: 13%;
        height: 55px;
        border-radius: 15px;

        >img {
            width: 29px;
            margin: 15px;
        }
    }
}

.client-inquiries-box-profile {
    width: 83%;
    border: 1px solid #c2c2c2;
    height: 55px;
    border-radius: 15px;
    margin-right: 12px;

    >img {
        width: 29px;
        margin: 15px;
    }
}

.client-inquiries-list {
    padding: 5px 0px 5px 0px;
}

.client-inquiries-icon {
    width: 2rem;
    padding: 0px 0px 6px 0px;
}

.color-black {
    color: $black;
}

.v-select {
    border-radius: 8px;
}

.login-card {
    box-shadow: none;
    background: transparent;

    .card {
        background: transparent;
    }
}

.login-header {
    display: inline-block;
    margin-top: 20px!important;
    font-size: 30px!important;
    font-weight: 700;
    color: $black;
    margin-bottom: 0px !important;
    width: 100%;
    text-align: center;
    position: relative;

    span {
        font-size: 30px;
        font-weight: 700;
        color: $black;
    }

    p {
        color: $primary;
        font-size: 30px;
        font-weight: 700;
        margin-top: 5px!important;
        margin-bottom: 0px !important;
    }
}
.login-desc {
    color: $muted;
    margin: 0px;
    margin-top: 15px!important;
    width: 100%;
    text-align: center;
    font-size: 14px;
}

.login-btn {
    width: 100%;
    min-height: 45px;
    margin-top: 30px;
    border-radius: 15px;
}

.sms-icon {
    margin-bottom: 3px;
    margin-right: 10px;
}

.sms-time {
    margin-left: 10px;
}

.success-msg-block {
    padding: 0px 10%;
    text-align: center;
    align-items: center;
    left: 0%;
    right: 0%;
}

.success-msg {
    color: $black;
    margin: 0px;
    font-size: 12px;
    margin-top: 5px;
}

.forgot-login-btn {
    width: 30%;
    min-height: 45px;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    border-radius: 15px;
    background-color: #fff !important;
    color: $primary !important;
    border: none;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1) !important;
}

.forgot-login-btn:focus,
.forgot-login-btn:active,
.forgot-login-btn:hover {
    background-color: #fff !important;
    color: $primary !important;
    border: none;
    outline: none;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1) !important;
}

.login-back-btn {
    cursor: pointer;
    width: 26px;
    float: left;
    position: absolute;
    left: 0;
    top: 6px;
}

.otp-box {
    margin-left: 10%;
    margin-right: 10%;
}

.vs__open-indicator {
    color: $muted !important;
}

.verification-label {
    color: $primary;
    margin: 0px;
    font-size: 12px;
    text-align: center;
    font-weight: 400;
}

.coundown-label,
.coundown-label-link {
    color: $muted;
    margin: 0px;
    margin-top: 5px;
    font-size: 12px;
    text-align: center;
    font-weight: 400;
}

.coundown-label-link {
    color: $primary;
}

.otp-input {
    margin: 10px;
    margin-top: 0px;
    margin-bottom: 0px;
    border-radius: 0px;
    border-top: none;
    border-right: none;
    border-left: none;
    text-align: center;
}

.otp-input:focus {
    box-shadow: none !important;
}

.background-none {
    background: transparent !important;
}

.input-group-merge,
.input-group-append {
    border-radius: 8px;
}

.form-card .input-group-text {
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
}

.convert-model h3 {
    font-size: 28px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.table-hover tbody tr {
    cursor: context-menu;
}

.index-search:focus {
    box-shadow: none !important;
}

.dropdown-menu {
    border-radius: 15px;
    padding: 5px;
}

.dropdown-item {
    display: flex;
    border-radius: 15px;
}

.dropdown-item:hover {
    background-color: $primary-active-background !important;
}

.dropdownWithIcon {
    .dropdown-menu {
        border-radius: 15px;
        padding: 5px;
    }

    .dropdown-item {
        display: flex;
        border-radius: 15px;

        .dropdown-item-title {
            margin-top: 2px;
            margin-bottom: 0px;
            margin-left: 10px;
        }
    }

    .dropdown-item:hover {
        background-color: $primary-active-background !important;
    }
}

.add-remove-btn {
    border-radius: 7px !important;
    padding: 6px 8px !important;
    font-size: 18px;
    background-color: #fff !important;
}

.add-remove-btn-active {
    background-color: $primary !important;
    color: #fff;
    font-size: 18px;
}

.custome-title-lable {
    font-size: 14px;
    color: $black;
    font-weight: 700;
}

.custom-select-dropdown .btn-link:disabled,
.btn-link.disabled {
    background-color: #f1f1f1 !important;
    background-color: #f1f1f1 !important;
    opacity: 1;
    color: $muted !important;

    .selected-value {
        color: $muted !important;
        font-weight: 400;
    }

    .text-placeholder {
        color: #C2C2C2 !important;
        font-weight: 400 !important;
    }
}

.custom-select-dropdown {
    .selected-value {
        color: $black !important;
        font-weight: 400;
    }

    .text-placeholder {
        color: #C2C2C2 !important;
        font-weight: 400 !important;
    }
}

.b-form-btn-label-control.form-control>.text-muted {
    color: #C2C2C2 !important;
}



.custom-select-dropdown .custom-control-label {
    font-weight: 500;
    margin-top: 4px;
    margin-left: 0px;
    white-space: nowrap;
}

.custom-select-dropdown .dropdown-toggle {
    border: 1px solid #d8d6de !important;
    border-right-color: #d8d6de !important;
    border-left-color: #d8d6de !important;
    border-radius: 15px;
    padding: 0.786rem 1.5rem !important;
    padding-left: 10px !important;

    img {
        margin-top: 3px;
    }
}

.custom-select-dropdown thead th {
    border-top: none !important;
}

.custom-select-dropdown .dropdown-menu {
    border-radius: 8px !important;
    z-index: 111111111;
    padding: 0px !important;
    min-width: 100% !important;

    hr {
        margin-top: 10px !important;
        margin-bottom: 10px !important;
    }

    .dropdown-btn-footer {
        padding: 10px !important;
        padding-top: 0px !important;
    }

    .b-dropdown-form {
        max-height: 50vh;
        overflow-x: hidden;
        overflow-y: auto;
        padding: 0.5rem 0.5rem;
        display: grid !important;

        .custom-search-box {
            padding-left: 20px !important;
            height: 45px !important;
        }

        .custom-control-input {
            position: relative !important;
        }

        .custom-checkbox {
            margin-top: 2.5px;
            margin-bottom: 2.5px;
            padding: 10px !important;
            padding-left: 20px !important;
            border-radius: 8px;
            margin-right: 0px !important;
        }

        .select-option {
            margin-top: 2.5px;
            margin-bottom: 2.5px;
            padding: 10px !important;
            padding-left: 20px !important;
            border-radius: 8px;
            line-height: 20px;
            cursor: pointer;
        }

        .select-option:hover {
            background-color: $primary-active-background !important;
        }

        .sidebar-fill {
            width: 40px;
            height: 20px;
            float: right;
            border-radius: 6px;
        }

        .custom-control-label {
            cursor: pointer;
        }
    }

    .custom-checkbox:has(input[type="checkbox"]:checked) {
        background-color: $primary-active-background !important;
    }

    .select-option.active {
        color: $primary;
        background-color: $primary-active-background !important;
    }
}

.custom-select-dropdown .custom-control-label::before,
.custom-select-dropdown .custom-control-label::after {
    top: 10px;
    left: 10px;
}

// Index Custome DropDown Start



.pagination-custom-select-dropdown .custom-control-label {
    font-weight: 500;
    margin-top: 4px;
    margin-left: 0px;
    white-space: nowrap;
}

.pagination-custom-select-dropdown .dropdown-toggle {
    border: 1px solid #d8d6de !important;
    border-right-color: #d8d6de !important;
    border-left-color: #d8d6de !important;
    border-radius: 10px !important;
    gap: 10px;
    display: flex;

    img {
        margin-top: 3px;
    }
}

.pagination-custom-select-dropdown thead th {
    border-top: none !important;
}

.pagination-custom-select-dropdown .dropdown-menu {
    border-radius: 5px !important;
    z-index: 111111111;
    padding: 0px !important;
    min-width: 100% !important;

    hr {
        margin-top: 10px !important;
        margin-bottom: 10px !important;
    }

    .dropdown-btn-footer {
        padding: 10px !important;
        padding-top: 0px !important;
    }

    .b-dropdown-form {
        max-height: 50vh;
        overflow-x: hidden;
        overflow-y: auto;
        padding: 0rem;
        display: grid !important;

        .custom-search-box {
            padding-left: 20px !important;
            height: 45px !important;
        }

        .select-option {
            margin-bottom: 0px !important;
            padding: 5px !important;
            border-radius: 5px;
            line-height: 20px;
            cursor: pointer;
            text-align: center;
        }

        .select-option:hover {
            background-color: $primary-active-background !important;
        }

        .custom-control-label {
            cursor: pointer;
        }
    }

    .custom-checkbox:has(input[type="checkbox"]:checked) {
        background-color: $primary-active-background !important;
    }

    .select-option.active {
        color: $primary;
        background-color: $primary-active-background !important;
    }
}

.pagination-custom-select-dropdown .custom-control-label::before,
.pagination-custom-select-dropdown .custom-control-label::after {
    top: 10px;
    left: 10px;
}


// Index Custome DropDown End

.list-filter-modal {
    .filter-date-range-box {
        border: 1px solid #c2c2c2;
        border-radius: 15px;
        padding: 10px;
    }

    .list-filter-header {
        border-radius: 15px;
        margin-bottom: 12px;
        padding: 15px 10px;

        h4 {
            font-weight: 700;
        }

        a {
            font-weight: 700;
        }
    }

    .filter-footer {
        border-top: 1px solid #f5f5f5;
        padding-top: 1rem;
    }
}

.text-underline {
    text-decoration: underline;
}

.text-underline:hover {
    text-decoration: underline !important;
}

.v-select-input-invalid .vs__dropdown-toggle {
    border: 1px solid $primary !important;
}

.profile-dropdown-header {
    padding: 15px;
    padding-bottom: 0px;
    margin-bottom: 0px;
    min-width: 410px;

    .company-header-name {
        font-size: 22px;
        font-style: normal;
        font-weight: 700;
        margin: 0px !important;
        color: $black !important;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .user-details {
        margin-top: 10px;
        display: flex;
        gap: 10px;

        .form-group {
            margin: 0px !important;
            width: 100%;
        }
    }

    .dd-user-logo {
        height: 56px !important;
        width: 56px !important;
        border-radius: 8px;
    }

    .dd-username {
        margin-top: 5px;
        color: $black !important;
        border: none !important;
    }
}

.dropdown-user {
    hr {
        margin-top: 10px;
        margin-bottom: 10px;
        border-bottom: 1px solid #f1f1f1;
    }
}

.dd-item-svg {
    height: auto !important;
    width: auto !important;
}

.dd-item-title {
    margin-left: 10px;
    margin-top: 2px;
}

.custom-radio .custom-control-label {
    cursor: pointer;
}

.custom-radio .custom-control-label::before {
    border-radius: 4px !important;
    top: -0.2rem;
}

[role=button] {
    outline: none !important;
    border: none !important;
}

.partition-name-title {
    color: $muted;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-bottom: 15px;
}


.eb-default-model {
    .eb-default-model-header {
        display: flex;
        align-items: center;
        gap: 1rem;
        border-bottom: 1px solid #98989833;
        padding-bottom: 15px;

        .eb-default-model-header-icon {
            height: 24px;
            width: 24px;
            margin-bottom: 2px;
        }

        .eb-default-model-header-title {
            font-size: 20px;
            font-weight: 700;
            letter-spacing: 0em;
            text-align: left;
            margin: 0px;
        }
    }

    .eb-default-model-footer {
        padding-top: 20px;
        border-top: 1px solid #98989833;

        .btn {
            text-wrap: nowrap;
        }

        .btn-reset {
            font-size: 14px !important;
            font-weight: 700;
            line-height: 16px;
            letter-spacing: 0em;
            color: $black;
            margin-right: 30px !important;
        }

        .btn-primary {
            font-weight: 700;
            line-height: 16px;
            letter-spacing: 0em;
            text-align: center;
            font-size: 14px !important;
            padding: 17px 30px;
            border-radius: 15px;
        }
    }
}


.section-header>h2 {
    margin-top: 0;
    font-size: 28px;
    font-weight: bold;
    margin-bottom: 15px;
    line-height: 1em;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: $primary;
}

.section-header>p {
    margin: 0;
    font-size: 16px;
    color: $muted;
    letter-spacing: 1px;
    font-weight: 700;
}

.has-error .help-block {
    color: $primary !important;
}

.has-error .form-control {
    border-color: $primary !important;
}

.app-btn {
    position: relative;
    padding: 9px 31px;
    border-radius: 50px;
    color: #FFF;
    display: inline-block;
    display: inline;
    zoom: 1;
    background: $primary;
    text-decoration: none !important;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    transition: all .3s ease;
    top: 0;
}

.navbar-nav .login-btn {
    position: relative;
    padding: 12px 15px;
    color: #FFF !important;
    display: inline-block;
    background: $primary !important;
    text-decoration: none !important;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    transition: all .3s ease;
    top: 0;
}

.primary-color {
    color: $primary !important;
}

.navbar-nav>li.active>a,
.navbar-nav>li>a:hover {
    color: $primary;
}

body.scrolled .navbar-nav>li.active>a,
body.scrolled .navbar-nav>li>a:hover {
    color: $primary;
}

.mockup-text>.btn-custom {
    background: $primary;
    color: #FFF;
}

.col-feature:hover i {
    border: solid 1px $primary;
    background-color: $primary;
    transition: 0.6s;
    color: #fff;
}

.privacy-section .icon-feature>.content li::marker {
    color: $primary;
    /* or whatever color you prefer */
}

.privacy-section .icon-feature>.content li::marker {
    color: $primary;
    /* or whatever color you prefer */
}

.icon-feature>.content>h4 {
    font-size: 18px;
    margin-bottom: 10px;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: $primary;
    font-weight: bold;
}


li.nav-item.has-sub.open.sidebar-group-active>a {
    color: $primary !important;
}

.modern-nav-toggle {
    color: $primary;
}

.modern-nav-toggle:hover {
    color: $primary;
}


.text-red {
    color: $primary;
}

.img-add-btn {
    cursor: pointer;
    background-color: $primary !important;
    color: #fff;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25) !important;
}

.img-add-btn-disabled {
    cursor: pointer;
    background-color: $primary !important;
    color: #fff !important;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25) !important;
    cursor: context-menu;
}

.text-danger {
    color: $danger;
}

a.text-danger:hover,
a.text-danger:focus {
    color: $danger;
}

.form-card .form-control:focus,
.event-card .form-control:focus,
.login-card .form-control:focus {
    border-color: $black !important;
}

.vc-nav-container {
    position: relative;
    height: 220px;
    overflow: auto;
}


.modal-body{
    label{
        svg{
            margin-right: 10px;
        }
    }
}
.dropdown.b-dropdown.btn-group.iconviewbutton {
    .label-hidden {
        display: none !important;
    }
}

button.page-link {
    padding-top: 12px;
    height: 100%;
}

.custom-control-inline {
    margin-right: 0rem!important;
}

.setting-table .setting-td {
    padding-top: 60px!important;
}


.setting-table tbody tr th {
    padding-bottom: 25px!important;
}
.setting-table tbody tr th {
    color: $primary;
    font-weight: 600;
    font-size: 12px;
}


.custome-checkbox-lable-inline{
    display: flex;
    align-items: center;

    .custom-control-label{
        margin-bottom: 0px!important;
    }
}
.form-control.is-invalid:focus{
    box-shadow: none!important;
}